pydo.images.post_account_transfer_create()
Generated on 3 Aug 2026
from pydo version
v0.40.0
Usage
client.images.post_account_transfer_create(
image_id=62137902,
body={
"recipient_email": "[email protected]",
"recipient_uuid": "4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cf",
},
)Description
To initiate an account transfer for an image, send a POST request to
/v2/images/{image_id}/account_transfer.
Only snapshot images may be transferred by this endpoint to another account.
An image account transfer always has exactly one recipient, specified in the request body. The recipient can be one of the following:
-
A DigitalOcean account, denoted by
recipient_emailin the request body. The recipient will receive an email with instructions to accept the transfer. Once the recipient accepts the transfer, the image will be moved to their account. -
A DigitalOcean team, denoted by
recipient_uuidin the request body. If the user has sufficient permissions in the recipient team, the transfer will be automatically accepted and the image will be moved to the recipient team’s account. Otherwise, the transfer will be pending until a user with sufficient permissions in the recipient team accepts the transfer.
Parameters
image_idinteger requiredA unique number that can be used to identify and reference a specific image.
recipient_emailstring optionalExample:
[email protected]The email address of the user account that the image will be transferred to.
recipient_uuidstring optionalExample:
4f6c71e2-1e90-4762-9fee-6cc4a0a9f2cfThe UUID of the team that the image will be transferred to.
Request Sample
Response Example
More Information
See /v2/images/{image_id}/account_transfer in the API reference for additional detail on responses, headers, parameters, and more.